<?php
include("kurs/datenbankanbindung.php");     // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php
require("../stud/func_get_block.php");

$db = dbconnect();
$query = "SELECT t1.saaid
    , w.bezeichnung
    , t1.uid
    , t1.vert_bereich
    , x.vorname
    , x.nachname
    , x.jahrgang
    , t1.beginn
    , t1.ende
    , t1.abteilung
    , x.hs
    , y.bez
    , y.str
    , y.plz
    , y.postfach
    , y.plz_postfach
    , y.ort
    , y.mail
 FROM stan_antrag t1, stan_vertiefungsbereich w, stud x, stan_dienststellen y, stan_stellenart z
WHERE t1.uid=x.uid
  AND t1.dst_id=y.dst_id
  AND t1.vert_bereich=w.vbid
  AND t1.status = (
                   SELECT MAX(t2.status)
                     FROM stan_antrag t2
                    WHERE t1.aendid = t2.aendid
                      AND t2.status !='2'
                  )
  AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
  and x.jahrgang = '15'
  and t1.art in (1,2,3,4,5,8,9)
union
SELECT t1.saaid
    , w.bezeichnung
    , t1.uid
    , t1.vert_bereich
    , x.vorname
    , x.nachname
    , x.jahrgang
    , t1.beginn
    , t1.ende
    , t1.abteilung
    , x.hs
    , y.bez
    , y.str
    , y.plz
    , y.postfach
    , y.plz_postfach
    , y.ort
    , NULL mail
 FROM stan_antrag t1, stud x, stan_vertiefungsbereich w, stan_dienststellen_tmp y, stan_stellenart z
WHERE t1.uid=x.uid
  AND t1.dst_id=y.dst_id
  AND t1.vert_bereich=w.vbid
  AND z.artid=t1.art
  AND t1.status = (
                   SELECT MAX(t2.status)
                     FROM stan_antrag t2
                    WHERE t1.aendid = t2.aendid
                      AND t2.status !='2'
                  )
  AND (t1.zuweisung is NULL OR t1.zuweisung='Z')
  and x.jahrgang = '15'
  and t1.art in (1, 2,3,4,5,8,9)
ORDER BY hs, uid, beginn";

$result = $db->query ($query)
   or die ("Cannot execute query2");



while ($row = $result->fetch_array()){
  if(get_block($row['saaid'], $row['jahrgang']) == 1 or get_block($row['saaid'], $row['jahrgang']) == 2 or get_block($row['saaid'], $row['jahrgang']) == 3){
    $block = get_block($row['saaid'], $row['jahrgang']);

    if($block == 1){
     if($row['vert_bereich'] == 1){
       $vbid1_b1 = $vbid1_b1+1;
     }
     
     if($row['vert_bereich'] == 2){
       $vbid2_b1 = $vbid2_b1+1;
     }
     
     if($row['vert_bereich'] == 3){
       $vbid3_b1 = $vbid3_b1+1;
     }
     
     if($row['vert_bereich'] == 4){
       $vbid4_b1 = $vbid4_b1+1;
     }
     
     if($row['vert_bereich'] == 5){
       $vbid5_b1 = $vbid5_b1+1;
     }
   }
   
    if($block == 2){
     if($row['vert_bereich'] == 1){
       $vbid1_b2 = $vbid1_b2+1;
     }
     
     if($row['vert_bereich'] == 2){
       $vbid2_b2 = $vbid2_b2+1;
     }
     
     if($row['vert_bereich'] == 3){
       $vbid3_b2 = $vbid3_b2+1;
     }
     
     if($row['vert_bereich'] == 4){
       $vbid4_b2 = $vbid4_b2+1;
     }
     
     if($row['vert_bereich'] == 5){
       $vbid5_b2 = $vbid5_b2+1;
     }
   }
   
    if($block == 3){
     if($row['vert_bereich'] == 1){
       $vbid1_b3 = $vbid1_b3+1;
     }
     
     if($row['vert_bereich'] == 2){
       $vbid2_b3 = $vbid2_b3+1;
     }
     
     if($row['vert_bereich'] == 3){
       $vbid3_b3 = $vbid3_b3+1;
     }
     
     if($row['vert_bereich'] == 4){
       $vbid4_b3 = $vbid4_b3+1;
     }
     
     if($row['vert_bereich'] == 5){
       $vbid5_b3 = $vbid5_b3+1;
     }
   }
     
     
    /*    
    echo"
     <tr>
       <td>
         $row[saaid]
       </td>
       <td>
         $row[bezeichnung]
       </td>
       <td>
         $row[uid]
       </td>
       <td>
         $row[vorname]
       </td>
       <td>
         $row[nachname]
       </td>
       <td>
         $row[jahrgang]
       </td>
       <td>
         $row[beginn]
       </td>
       <td>
         $row[ende]
       </td>
       <td>
         $block
       </td>
       <td>
         $row[abteilung]
       </td>
       <td>
         $row[hs]
       </td>
       <td>
         $row[bez]
       </td>
       <td>
         $row[str]
       </td>
       <td>
         $row[plz]
       </td>
       <td>
         $row[postfach]
       </td>
       <td>
         $row[plz_postfach]
       </td>
       <td>
         $row[ort]
       </td>
       <td>
         $row[mail]
       </td>
     <tr>
    ";
    */
  }
}

echo "
Block 1:<br>
<table>
<tr>
  <td>
    Organisation, Personal, Informationsverarbeitung
  </td>
  <td>
    $vbid1_b1
  </td>
</tr>
<tr>
  <td>
    Ordnungsverwaltung
  </td>
  <td>
    $vbid2_b1
  </td>
</tr>
<tr>
  <td>
    Leistungsverwaltung
  </td>
  <td>
    $vbid3_b1
  </td>
</tr>
<tr>
  <td>
    Wirtschaft und Finanzen, öffentliche Betriebe
  </td>
  <td>
    $vbid4_b1
  </td>
</tr>
<tr>
  <td>
    Kommunalpolitik, Führung im öffentlichen Sektor
  </td>
  <td>
    $vbid5_b1
  </td>
</tr>
</table>
";

echo "
<br>Block 2:<br>
<table>
<tr>
  <td>
    Organisation, Personal, Informationsverarbeitung
  </td>
  <td>
    $vbid1_b2
  </td>
</tr>
<tr>
  <td>
    Ordnungsverwaltung
  </td>
  <td>
    $vbid2_b2
  </td>
</tr>
<tr>
  <td>
    Leistungsverwaltung
  </td>
  <td>
    $vbid3_b2
  </td>
</tr>
<tr>
  <td>
    Wirtschaft und Finanzen, öffentliche Betriebe
  </td>
  <td>
    $vbid4_b2
  </td>
</tr>
<tr>
  <td>
    Kommunalpolitik, Führung im öffentlichen Sektor
  </td>
  <td>
    $vbid5_b2
  </td>
</tr>
</table>
";

echo "
<br>Block 3:<br>
<table>
<tr>
  <td>
    Organisation, Personal, Informationsverarbeitung
  </td>
  <td>
    $vbid1_b3
  </td>
</tr>
<tr>
  <td>
    Ordnungsverwaltung
  </td>
  <td>
    $vbid2_b3
  </td>
</tr>
<tr>
  <td>
    Leistungsverwaltung
  </td>
  <td>
    $vbid3_b3
  </td>
</tr>
<tr>
  <td>
    Wirtschaft und Finanzen, öffentliche Betriebe
  </td>
  <td>
    $vbid4_b3
  </td>
</tr>
<tr>
  <td>
    Kommunalpolitik, Führung im öffentlichen Sektor
  </td>
  <td>
    $vbid5_b3
  </td>
</tr>
</table>
";
?>